aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorToby Vincent <tobyv@tobyvin.dev>2024-05-22 14:11:22 -0500
committerToby Vincent <tobyv@tobyvin.dev>2024-05-22 14:11:22 -0500
commit3b2da4d17c01f592ffbea4ccd0490650bc341d18 (patch)
treedae41387cd7bc245afe7a602e64f3f9a484a59ec
parent99d12dc1fea358e4718fd551466b0fb4f4e13698 (diff)
build: print name
-rwxr-xr-xbuild.sh4
-rwxr-xr-xstep2stl.py2
-rw-r--r--things/.gitkeep0
3 files changed, 3 insertions, 3 deletions
diff --git a/build.sh b/build.sh
index 4b46c43..5fa7143 100755
--- a/build.sh
+++ b/build.sh
@@ -10,6 +10,6 @@ python -m venv src/.venv --system-site-package --upgrade-deps
pip --require-virtualenv install numpy dataclasses-json scipy cadquery || exit
-(cd src && python -m dactyl_manuform) || exit
+(cd src || exit && python -m dactyl_manuform)
-./step2stl.py ../things/*.step
+./step2stl.py things/*.step
diff --git a/step2stl.py b/step2stl.py
index b947e82..09d4498 100755
--- a/step2stl.py
+++ b/step2stl.py
@@ -25,7 +25,7 @@ def step2stl(step_file):
pf = doc.addObject("Part::Feature", part_name)
pf.Shape = shape
Mesh.export([pf], stl_name)
-
+ print("Generated ", stl_name)
def main(argv):
for g in argv[1:]:
diff --git a/things/.gitkeep b/things/.gitkeep
deleted file mode 100644
index e69de29..0000000
--- a/things/.gitkeep
+++ /dev/null